View Issue Details

IDProjectCategoryView StatusLast Update
0001282Main CAcert Websiteaccount administrationpublic2014-12-23 20:21
ReporterINOPIAE Assigned ToINOPIAE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs workResolutionopen 
Product Version2014 Q2 
Target Version2014 Q2 
Summary0001282: SE admin search for domain returns the wrong result
DescriptionI search for a domain "000somedomain.com" in the SE console and got this result:
Select Specific User Account Details
Domain: 000 somedomain.net
Domain: YYYY 000somedomain.com
2 rows displayed.


Select Specific Organisation Account Details
Domain: 000 somedomain.de
1 rows displayed.

The number from the the domain is extracted and used as ID for the search.
Additional InformationQuestion to the software and support teams: Is the search with the account id needed?
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

INOPIAE

2014-06-09 11:14

updater   ~0004811

Last edited: 2014-06-09 11:28

View 2 revisions

I pushed a fix to https://github.com/INOPIAE/CAcert/tree/bug-1282.

For testing search for domain 788.inopiae.com and for the id 788

INOPIAE

2014-06-11 06:41

updater   ~0004820

I pushed a new fix to https://github.com/INOPIAE/CAcert/tree/bug-1282 .

Eva

2014-09-09 20:39

updater   ~0004998

I do not understand what this bug is about, or what it should change. Could you please add some testing instructions?

felixd

2014-12-02 21:10

updater   ~0005152

Last edited: 2014-12-02 21:15

View 2 revisions

I have concers with this line:
https://github.com/INOPIAE/CAcert/commit/c1720a3bb6dd07af2cf4b359bd85d0ad614c6bab#diff-fec07312f857f1063f7bcfd8aaded1b1R29

PHP "identical"-operator is documented here: http://php.net/manual/en/language.operators.comparison.php

I therefore assume that "$domain !== $domainid" will always be false, as "domainid" is an integer and domain is a string. The comparison should therefore fail.

Sorry, the patch set deletes this line again afterwards... The line is therefore not in the resulting code.

BenBE

2014-12-16 22:08

updater   ~0005187

Last edited: 2014-12-16 22:12

View 4 revisions

For testing the domain 168085.cn vs. "#168085" (without quotes) may be used.

reinhardm

2014-12-16 22:25

updater   ~0005188

Test
preparation: benbe added domain 168085.cn to his account.

Test performed:
I set my flag support ON.
A search for domain 168085.cn listed all details to benbe account.

A second search to #168085 came up with an error message
"Leider konnte der User nicht gefunden werden! Böse Dinge geschehen!"
URL ist: https://cacert1.it-sls.de/account.php?id=43&userid=753

It is expected that a search for #168085 will show up wizh domain ohne-elf.de which is owned by me. Domain ohne-elf.de has id 168085 in the database.

Status: Further work needed.

Issue History

Date Modified Username Field Change
2014-06-09 09:21 INOPIAE New Issue
2014-06-09 09:21 INOPIAE Assigned To => INOPIAE
2014-06-09 09:22 INOPIAE Additional Information Updated View Revisions
2014-06-09 09:45 INOPIAE Description Updated View Revisions
2014-06-09 11:05 INOPIAE Description Updated View Revisions
2014-06-09 11:14 INOPIAE Note Added: 0004811
2014-06-09 11:14 INOPIAE Assigned To INOPIAE => BenBE
2014-06-09 11:14 INOPIAE Status new => fix available
2014-06-09 11:25 BenBE Source_changeset_attached => cacert-devel testserver-stable f7c7575c
2014-06-09 11:25 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c1720a3b
2014-06-09 11:28 INOPIAE Note Edited: 0004811 View Revisions
2014-06-09 11:30 BenBE Status fix available => needs review & testing
2014-06-11 06:41 INOPIAE Note Added: 0004820
2014-09-09 20:39 Eva Note Added: 0004998
2014-12-02 21:10 felixd Note Added: 0005152
2014-12-02 21:15 felixd Note Edited: 0005152 View Revisions
2014-12-02 21:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 97880096
2014-12-02 21:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 6ec94958
2014-12-02 21:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 55a5d9d3
2014-12-02 21:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 5ebb17ef
2014-12-02 21:55 BenBE Source_changeset_attached => cacert-devel testserver-stable a36105ce
2014-12-02 22:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 38de2f68
2014-12-02 22:40 felixd Source_changeset_attached => cacert-devel testserver-stable 1a5c88ba
2014-12-02 22:40 felixd Source_changeset_attached => cacert-devel testserver-stable 5448d0f8
2014-12-16 22:08 BenBE Note Added: 0005187
2014-12-16 22:08 BenBE Note Edited: 0005187 View Revisions
2014-12-16 22:11 BenBE Note Edited: 0005187 View Revisions
2014-12-16 22:12 BenBE Note Edited: 0005187 View Revisions
2014-12-16 22:25 reinhardm Note Added: 0005188
2014-12-16 22:25 reinhardm Assigned To BenBE => INOPIAE
2014-12-23 20:21 Eva Status needs review & testing => needs work